Skip to content

Return the full resource hierarchy available to a membership plan.

GET
/api/workspace/entitlement-operations/models/membership/{modelId}/plans/{planId}/resource-tree
curl --request GET \
--url https://example.com/api/workspace/entitlement-operations/models/membership/example/plans/example/resource-tree
  • None
modelId
required
string
planId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

OK

Media typeapplication/json
object
Data

Flat resource hierarchy payload used by the client to build a tree.

object
Nodes
Array<object>
nullable

One resource hierarchy node.

object
NodeKey
string
nullable
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
ParentNodeKey
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb item for a selected plan resource.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Not Found

Media typeapplication/json
object
Data

Flat resource hierarchy payload used by the client to build a tree.

object
Nodes
Array<object>
nullable

One resource hierarchy node.

object
NodeKey
string
nullable
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
ParentNodeKey
string
nullable
Breadcrumbs
Array<object>
nullable

One breadcrumb item for a selected plan resource.

object
EntityDefinitionId
string
nullable
EntityDisplayName
string
nullable
ResourceEntityInstanceId
string
nullable
DisplayName
string
nullable
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}